package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RepayList;
import com.ssm.manage.entity.RepayTradeList;
import com.ssm.manage.extendEntity.StoreDaily;
import com.ssm.manage.query.RepayListRequest;
import com.ssm.manage.query.RepayTradeRequest;
import com.ssm.manage.query.StoreDailyRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
public interface RepayTradeListMapper extends BaseMapper<RepayTradeList> {

    List<RepayTradeList> selectList(RepayListRequest repayListRequest);
    List<RepayTradeList> selectCoursePayList(RepayListRequest repayListRequest);
    List<RepayTradeList> selectFKJ(RepayTradeRequest repayListRequest);
    List<RepayTradeList> selectListBetween(RepayListRequest repayListRequest);
    List<RepayTradeList> selectLists(RepayListRequest repayListRequest);
    List<RepayTradeList> queryByDocId(Long docId);
    List<RepayTradeList> queryByDocNum(String  docId);

    int updateStaff(RepayTradeList repayTradeList);

    StoreDaily selectrepayCooperate(StoreDailyRequest storeDailyRequest);

    List<RepayTradeList> selectListNew(RepayListRequest repayListRequest);

    List<RepayTradeList> selectFKJByDate(RepayTradeRequest repayTradeList);

    List<RepayTradeList> selectListByStartTimeAndEndTime(@Param("storeId") Long id, @Param("startTime") Date startTime, @Param("endTime") Date endTime);
}